Unified platform push
curl --request POST \
--url https://ai.wisepilot.app/api/v1/platform/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": {}
}
'import requests
url = "https://ai.wisepilot.app/api/v1/platform/push"
payload = {
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
website_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
action: '<string>',
entity_type: '<string>',
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
params: {}
})
};
fetch('https://ai.wisepilot.app/api/v1/platform/push', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"status": "executed",
"riskLevel": "LOW",
"workItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformResponse": {}
}
}{
"success": false,
"error": "Validation error",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Platform Push
Unified platform push
Push content or actions to any of 9 supported platforms (WordPress, Elementor, Google Ads, Meta Ads, GHL, Slack, GBP, Instantly, HeyReach) with 23 action types. Risk-gated: HIGH risk actions create approval work items, MEDIUM actions snapshot before update, LOW actions execute directly. Requires editor role. minRole: editor
POST
/
platform
/
push
Unified platform push
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Body
application/json
Available options:
wordpress, elementor, google_ads, meta_ads, ghl, slack, gbp, instantly, heyreach Platform-specific action (e.g. publish, update, pause, enable, create_campaign)
Entity type being pushed (e.g. blog, ad_creative, nurture_sequence)
Action-specific parameters
⌘I